Linux.中国 - 开源社区

 找回密码
 骑士注册

QQ登录

微博登录


jQuery 3.0 发布!根本不支持 IE6/7/8

2016-6-11 08:39    评论: 3 收藏: 1    

jQuery 基金会前天宣布 jQuery 3.0 发布!这是第一个根本不支持老版本 IE 的 jQuery 版本。

jQuery 3.0 开发于2014年10月。为了从老的 1.0 代码分离,摒弃那些由于要兼容 IE 而增加的庞杂的代码,其最初创建了 2.0 系列版本。3.0 版本是从 2.0 版本分支出来的,但是同 2.0 不兼容,因此更换了新的主版本号。

jQuery 3.0 是 jQuery 的未来所在,以后除了重大安全问题,jQuery 1.0 (最新版本 1.12)和 jQuery 2.0(最新版本 2.2)都不会再进行更新。

你可以通过如下地址直接调用 CDN 上的 jQuery:

也可以将其下载到本地,比如通过 npm:

npm install jquery@3.0.0

jQuery 2.0 完全不兼容 1.0,而 3.0 则继承了这个传统,继续不兼容 2.0。jQuery 基金会说 3.0 中有一些中断性的改变,但是用户可以不用太多工作就能将代码迁移到 3.0。

如果你要升级到 3.0,可以参考 3.0 升级指南,以及可以通过安装 jQuery Migrate 3.0 来找到你的代码中同 3.0 所不兼容的地方:

或者使用 npm 下载安装:

npm install jquery-migrate@3.0.0

jQuery 2.0 和 3.0 都不再支持老的 IE6、IE7 和 IE8 浏览器,如果用户必须支持这些旧式浏览器,那就只能使用 jQuery 1.12 了。

除了标准版本之外,如果你不使用 AJAX、效果等功能,你还可以使用一个廋版Slim的 jQuery,它的压缩大小是 23.6kb,而标准版本的大小是 30kb。

发表评论


最新评论

我也要发表评论

vio [Chrome 51.0|Windows 10] 2016-6-14 17:05
1
vio [Chrome 51.0|Windows 10] 发表于 2016-6-11 11:14 的评论:
还在用1.x的比例较多吧~~ 2.x都没用过,3.x都正式发布了
2
来自美国的 Chrome 51.0|Windows 7 用户 发表于 2016-6-14 14:31 的评论:
用3.0吧 ,哈哈,都在浏览器提示一句,升级浏览器,哈哈
事业单位里还有很多xp的机器...
2 回复
来自美国的 Chrome 51.0|Windows 7 用户 2016-6-14 14:31
1
vio [Chrome 51.0|Windows 10] 发表于 2016-6-11 11:14 的评论:
还在用1.x的比例较多吧~~ 2.x都没用过,3.x都正式发布了
用3.0吧 ,哈哈,都在浏览器提示一句,升级浏览器,哈哈
4 回复
vio [Chrome 51.0|Windows 10] 2016-6-11 11:14
还在用1.x的比例较多吧~~ 2.x都没用过,3.x都正式发布了
2 回复

热点评论

来自美国的 Chrome 51.0|Windows 7 用户 2016-6-14 14:31
用3.0吧 ,哈哈,都在浏览器提示一句,升级浏览器,哈哈
4
vio [Chrome 51.0|Windows 10] 2016-6-14 17:05
事业单位里还有很多xp的机器...
2
vio [Chrome 51.0|Windows 10] 2016-6-11 11:14
还在用1.x的比例较多吧~~ 2.x都没用过,3.x都正式发布了
2
返回顶部

分享到微信朋友圈

打开微信,点击底部的“发现”,
使用“扫一扫”将网页分享至朋友圈。